/* show main block when this css loaded */
.catalog-delivery {
    height: initial !important;
}

/* title */
.catalog-delivery-title {
    padding: 0 0 46px;
}

.catalog-delivery-title h2 {
    font-size: 1.5rem;
    line-height: 1.9375em;
    margin-bottom: 5;
}

.catalog-delivery.haserror .catalog-delivery-title span {
    display: none;
}

@media (max-width: 767px) {
    .catalog-delivery-title {
        padding-bottom: 36px;
    }
}

/* fields */
.catalog-delivery form {
    padding: 0 0 23px;
}

.catalog-delivery-fields {
    margin: 0;
    position: relative;
}

.catalog-delivery-fields:not(.empty) {
    margin-bottom: 9px;
}

.catalog-delivery.search .catalog-delivery-fields.empty {
    margin-bottom: 9px;
    width: inherit;
    height: inherit;
    overflow: inherit;
}

.catalog-delivery-field {
    font-size: 15px;
    line-height: 25px;
    margin-bottom: 16px;
    display: inline-block;
    vertical-align: top;
}

.catalog-delivery-field-title {
    font-size: 0.867em;
    color: #999;
}

.catalog-delivery-field-title > label,
.catalog-delivery-field-title > span {
    margin-bottom: 3px;
}

.catalog-delivery-field-input {
    margin: 0 15px 0 0;
}

.catalog-delivery-field-box {
    position: relative;
    color: #333;
    color: var(--white_text_black);
    font-size: 0.867em;
    cursor: pointer;
}

.catalog-delivery-field-box-value {
    background-color: var(--darkgrey_bg_black);
    border: 1px solid #eaeaea;
    border-color: var(--stroke_black);
    border-radius: 8px;
    padding: 0 11px 0 11px;
    height: 32px;
    position: relative;
    overflow: hidden;
}

.catalog-delivery-field-box-value i {
    position: absolute;
    top: 14px;
    right: 12px;
    transition: transform 0.2s ease;
}

.catalog-delivery-field-box.open .catalog-delivery-field-box-value i {
    transform: rotate(180deg);
}

.catalog-delivery-field-box-value span {
    white-space: nowrap;
    overflow: hidden;
    display: block;
    line-height: 28px;
    height: 100%;
}

.catalog-delivery-field-box-dropdown {
    display: none;
    border-radius: 3px;
    width: 182px;
    position: absolute;
    background: #fff;
    background: var(--card_bg_black);
    top: 100%;
    z-index: 101;
    max-height: 191px;
    overflow-y: auto;
}

.catalog-delivery-field-box.open .catalog-delivery-field-box-dropdown {
    display: block;
    border-color: #fff;
    border-color: var(--card_bg_black);
    box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.1);
}

.catalog-delivery-field-box-dropdown-item {
    padding: 5px 16px 8px;
}

.catalog-delivery-field-box-dropdown-item:hover,
.catalog-delivery-field-box-dropdown-item.current {
    background-color: #fafafa;
    background-color: var(--lite_bg_black);
}

.catalog-delivery-field_quantity .catalog-delivery-field-box-value {
    padding-left: 30px;
    padding-right: 30px;
}

.catalog-delivery-field_quantity .catalog-delivery-field-box-value > span:not(:hover) * {
    fill: var(--white_text_black);
}

.catalog-delivery-field_quantity .catalog-delivery-field-input {
    width: 99px;
}

.catalog-delivery-field_quantity input[type="text"],
.catalog-delivery-field_quantity input[type="text"]:focus {
    border: none !important;
    padding: 0;
    background: none !important;
    height: 100%;
    text-align: center;
    width: 100%;
}

.catalog-delivery-field_quantity .plus,
.catalog-delivery-field_quantity .minus {
    position: absolute;
    top: 0px;
    bottom: 0px;
    height: auto;
    cursor: pointer;
    width: 30px;
}

.catalog-delivery-field_quantity .minus {
    left: 0px;
}

.catalog-delivery-field_quantity .plus {
    right: 0px;
}

.catalog-delivery-field_quantity .svg,
.catalog-delivery-field_quantity .svg {
    position: absolute;
    left: 50%;
    top: 50%;
    margin: -8px 0 0 -6px;
    width: 11px;
    height: 11px;
    line-height: 12px;
}

.catalog-delivery-field_quantity .plus:hover,
.catalog-delivery-field_quantity .minus:hover {
    background-color: var(--tag_hover);
}

.catalog-delivery-field_quantity .svg svg {
    display: inline-block;
    vertical-align: middle;
}

.catalog-delivery-field_persontype .catalog-delivery-field-input,
.catalog-delivery-field_paysystem .catalog-delivery-field-input {
    width: 170px;
}

.catalog-delivery-field_persontype .catalog-delivery-field-box-value,
.catalog-delivery-field_paysystem .catalog-delivery-field-box-value {
    padding-right: 28px;
}

.catalog-delivery-field_persontype .catalog-delivery-field-box select,
.catalog-delivery-field_paysystem .catalog-delivery-field-box select {
    display: none;
}

.catalog-delivery-field_quantity
+ .catalog-delivery-field_persontype
+ .catalog-delivery-field_paysystem
.catalog-delivery-field-input {
    margin-right: 29px;
}

.catalog-delivery-field_addbasket {
    display: flex;
    flex: 1;
    justify-content: flex-end;
    max-width: 100%;
}

.catalog-delivery-field_addbasket-label {
    white-space: nowrap;
}

.catalog-delivery-field_addbasket .catalog-delivery-field-input {
    margin: 0 0 5px 0;
}

.catalog-delivery-field_addbasket .filter.label_block input + label {
    padding-top: 0px;
    margin: 0;
}

.catalog-delivery-fields-base {
    align-items: flex-end;
    display: flex;
    flex-wrap: wrap;
    font-size: 0;
}

.catalog-delivery-fields-opener {
    display: none;
    color: #333;
    color: var(--white_text_black);
    font-size: 0.867em;
    cursor: pointer;
    line-height: 1.22em;
    margin: 4px 0 21px 0;
}

.catalog-delivery-fields-opener > span:last-of-type {
    border-bottom: 1px dotted;
    margin-left: 12px;
}

.catalog-delivery-fields-opener > span:last-of-type:hover {
    border-bottom-color: transparent;
}

.catalog-delivery.shortfields .catalog-delivery-fields-opener {
    display: flex;
    flex-direction: row;
}

.catalog-delivery.shortfields .catalog-delivery-fields-base {
    display: none;
}

.catalog-delivery.shortfields .catalog-delivery-fields.open .catalog-delivery-fields-base {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.catalog-delivery.shortfields .catalog-delivery-fields.open .catalog-delivery-field_quantity {
    order: 1;
}

.catalog-delivery.shortfields .catalog-delivery-fields.open .catalog-delivery-field_persontype {
    order: 3;
    width: 100%;
}

.catalog-delivery.shortfields .catalog-delivery-fields.open .catalog-delivery-field_paysystem {
    order: 4;
    width: 100%;
}

.catalog-delivery.shortfields .catalog-delivery-fields.open .catalog-delivery-field_addbasket {
    order: 2;
    justify-content: initial;
    flex: none;
}

.catalog-delivery.shortfields .catalog-delivery-fields.open .catalog-delivery-field_addbasket-label {
    white-space: initial;
}

.catalog-delivery.shortfields
.catalog-delivery-fields.open
.catalog-delivery-field_paysystem
.catalog-delivery-field-input,
.catalog-delivery.shortfields
.catalog-delivery-fields.open
.catalog-delivery-field_persontype
.catalog-delivery-field-input {
    margin-right: 0;
    width: 100%;
}

.catalog-delivery.shortfields .catalog-delivery-fields.open .catalog-delivery-field-box-dropdown {
    width: 100%;
}

.catalog-delivery.shortfields .catalog-delivery-fields.open .catalog-delivery-field-box-dropdown {
    max-height: 116px;
}

.catalog-delivery.shortfields .catalog-delivery-fields.open .catalog-delivery-fields-opener .catalog-delivery-sp {
    display: none;
}

/* location in title */
.catalog-delivery-title-city-css > span:last-of-type {
    display: none;
}

.catalog-delivery.cansearch .catalog-delivery-title-city-css {
    cursor: pointer;
    white-space: nowrap;
    display: inline-block;
}

.catalog-delivery.cansearch .catalog-delivery-title-city-css > span:first-of-type {
    border-bottom: 1px dotted;
    white-space: normal;
    word-break: break-word;
}

.catalog-delivery.cansearch .catalog-delivery-title-city-css > span:first-of-type:hover {
    border-bottom-color: transparent;
}

.catalog-delivery.cansearch .catalog-delivery-title-city-css > span:last-of-type {
    display: inline-block;
    vertical-align: top;
    margin-left: 11px;
}

.catalog-delivery.search .catalog-delivery-title span {
    display: none;
}

.catalog-delivery.haserror .catalog-delivery-title-city-css {
    display: none;
}

/* location source in title */
.catalog-delivery-locationsource {
    margin: 15px 0 0 0;
}

.catalog-delivery-locationsource .alert {
    margin: 0;
}

.catalog-delivery.search .catalog-delivery-title .catalog-delivery-locationsource {
    display: none;
}

.catalog-delivery.haserror .catalog-delivery-locationsource {
    display: none;
}

/* location search */
.catalog-delivery-field_locationsearch {
    display: none;
}

.catalog-delivery.search .catalog-delivery-field_locationsearch {
    display: block;
}

.catalog-delivery .bx-sls .quick-locations {
    margin: 0 -5px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.catalog-delivery .bx-sls .quick-location-tag {
    margin: 0 5px 10px;
    border: 1px solid var(--stroke_black);
    border-radius: var(--theme-button-border-radius);
    color: var(--white_text_black);
    background-color: transparent;
    font-size: 0.867em;
    padding: 0 12px;
    height: 30px;
    white-space: nowrap;
}

.catalog-delivery .bx-sls .quick-location-tag:hover {
    background-color: var(--light, rgba(136, 136, 136, .05)) var(--dark, #343434);
}

.catalog-delivery .bx-sls .dropdown-block {
    background-color: #fafafa;
    background: var(--darkerblack_bg_black);
    border: 1px solid #eaeaea;
    border-color: var(--stroke_black);
    box-shadow: inset 0 1px 2px var(--stroke_black);
    border-radius: 3px;
    height: 40px;
    padding: 0 40px 0;
}

.catalog-delivery .bx-sls .bx-ui-sls-fake,
.catalog-delivery .bx-sls .bx-ui-sls-route {
    height: 38px;
    font-family: inherit;
    font-size: 0.931em;
}

.catalog-delivery .bx-sls .bx-ui-sls-fake {
    color: #333 !important;
    color: var(--white_text_black) !important;
}

.catalog-delivery .bx-sls .bx-ui-sls-route {
    color: #999 !important;
}

.catalog-delivery .bx-sls .dropdown-icon {
    left: 13px;
    background: url(/bitrix/panel/main/images/bx-admin-sprite-small.png) -3px -131px no-repeat scroll;
    top: 11px;
}

/*.catalog-delivery .bx-sls .bx-ui-sls-clear::before{margin:-10px 0 0 -7px;}*/
.catalog-delivery .bx-sls .bx-ui-sls-clear::before {
    margin: 0 0 0 0;
}

.catalog-delivery .bx-sls .bx-ui-sls-clear {
    margin-top: 4px;
}

.catalog-delivery .bx-sls .bx-ui-sls-pane {
    padding: 0;
    border-color: #fff;
    box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.1);
    border-radius: 3px;
    background: #fff;
    /* top: 100%; */
    top: 100% !important;
    bottom: auto !important;
    font-size: 15px;
    line-height: 25px;
}

.catalog-delivery .bx-sls .dropdown-fade2white {
    display: none;
}

.catalog-delivery .bx-sls .dropdown-item {
    border-radius: 0;
    margin: 0;
    font-size: 0.867em;
}

.catalog-delivery .bx-sls .bx-ui-sls-variants .bx-ui-sls-variant,
.catalog-delivery .bx-sls .bx-ui-sls-error {
    padding: 5px 16px 8px;
}

.catalog-delivery .bx-sls .bx-ui-sls-error {
    padding-left: 30px;
}

.catalog-delivery .bx-sls .bx-ui-sls-variants .bx-ui-sls-variant:hover,
.catalog-delivery .bx-sls .bx-ui-sls-variant-active {
    background-color: #fafafa;
}

.catalog-delivery .bx-sls .dropdown-item-text span {
    color: #333;
}

@media (max-width: 767px) {
    .catalog-delivery form {
        padding-bottom: 30px;
    }
}

/* delivery item */
.catalog-delivery.shortfields .catalog-delivery-fields.open + .catalog-delivery-items {
    display: none;
}

.catalog-delivery-item {
    border-top: 1px solid #ededed;
    border-bottom: 1px solid #ededed;
    padding: 20px 0;
    border-color: var(--stroke_black);
    transition: transform ease 0.2s, box-shadow ease 0.2s;
    overflow: hidden;
}

.catalog-delivery-item + .catalog-delivery-item {
    margin-top: -1px;
}

.catalog-delivery-item:first-of-type {
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}

.catalog-delivery-item:last-of-type {
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
}

.catalog-delivery-item-head {
    cursor: pointer;
    position: relative;
}

.catalog-delivery-flexline {
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
}

.catalog-delivery-flexline.flexline-2 {
    display: none;
    margin-top: 9px;
}

.catalog-delivery-item-logo {
    width: 80px;
    height: 44px;
    text-align: center;
    margin-right: 19px;
    flex-shrink: 0;
    font-size: 0;
}

.catalog-delivery-item-logo:before {
    content: "";
    display: inline-block;
    height: 100%;
    vertical-align: middle;
}

.catalog-delivery-item-logo img {
    max-width: 100%;
    max-height: 100%;
    vertical-align: middle;
    display: inline-block;
}

.catalog-delivery-item-info {
    position: relative;
    margin-right: 19px;
    white-space: nowrap;
}

.catalog-delivery-item.hasperiod .catalog-delivery-item-info {
    display: flex;
    flex-direction: column;
    margin-top: 2px;
}

/* .catalog-delivery-item:not(.hasperiod) .catalog-delivery-item-info:before {
  content: "";
  display: inline-block;
  height: 100%;
  vertical-align: middle;
} */
.catalog-delivery-item-name {
    font-size: 1em;
    color: #333;
    color: var(--white_text_black);
    line-height: 1.4375em;
    word-break: break-word;
    white-space: normal;
    display: inline-block;
    vertical-align: middle;
}

.catalog-delivery-item-name span {
    display: inline-block;
    vertical-align: top;
    margin-top: -1px;
}

.catalog-delivery.shortfields .catalog-delivery-item-name span {
    margin-top: 0;
}

.catalog-delivery-item-period {
    font-size: 0.8125rem;
    color: #999;
    line-height: 1.308em;
    flex-shrink: 0;
    margin-top: 2px;
}

.catalog-delivery-item-price {
    font-size: 1em;
    color: #333;
    color: var(--white_text_black);
    white-space: nowrap;
}

.catalog-delivery-item-opener {
    width: 28px;
    height: 28px;
    border-radius: 3px;
    position: relative;
    border: 1px solid #eaeaea;
    border-color: var(--stroke_black);
    transition: background-color 0.3s;
    -moz-transition: background-color 0.3s;
    -ms-transition: background-color 0.3s ease;
    -o-transition: background-color 0.3s;
    -webkit-transition: background-color 0.3s;
    cursor: pointer;
    flex-shrink: 0;
    margin: 8px 0 0 30px;
}

.catalog-delivery-item.haserror .catalog-delivery-item-opener {
    margin-left: auto;
}

.catalog-delivery-item .catalog-delivery-item-head:hover .catalog-delivery-item-opener {
    background: var(--theme-base-color);
    border: 1px solid var(--theme-base-color);
}

.catalog-delivery-item.open .catalog-delivery-item-head:hover .catalog-delivery-item-opener {
    background: var(--theme-base-color);
    border: 1px solid var(--theme-base-color);
}

.catalog-delivery-item-opener:after {
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    margin: -3px 0 0 -5px;
    width: 10px;
    height: 6px;
    background: url(images/svg/content_icons.svg) -149px -23px no-repeat;
    background-position: var(--light, -149px -23px) var(--dark, -149px -39px);
    opacity: 0.35;
}

.catalog-delivery-item.open .catalog-delivery-item-opener:after {
    background-position: -149px -15px;
    background-position: var(--light, -149px -15px) var(--dark, -149px -31px);
}

.catalog-delivery-item-head:hover .catalog-delivery-item-opener:after {
    background-position: -149px -39px;
    opacity: 1;
}

.catalog-delivery-item.open .catalog-delivery-item-head:hover .catalog-delivery-item-opener:after {
    background-position: -149px -31px;
    opacity: 1;
}

.catalog-delivery-item-description {
    font-size: 0.867em;
    padding: 12px 0 4px 0;
    line-height: 1.538em;
}

.catalog-delivery-item.haserror .catalog-delivery-item-description {
    padding-top: 23px;
}

@media (max-width: 660px) {
    .catalog-delivery-item.haslogo .catalog-delivery-flexline.flexline-1 .catalog-delivery-item-info {
        display: none;
    }

    .catalog-delivery-item.haslogo .catalog-delivery-flexline.flexline-2 {
        display: block;
    }

    .catalog-delivery-flexline.flexline-2 .catalog-delivery-item-info {
        margin-right: 0;
    }

    .catalog-delivery-flexline.flexline-2 .catalog-delivery-item-info:before {
        display: none;
    }

    .catalog-delivery-flexline.flexline-2 .catalog-delivery-item-name {
        vertical-align: top;
    }
}

@media (max-width: 460px) {
    .catalog-delivery-item-opener {
        display: none;
    }

    .catalog-delivery-item.hasperiod:not(.haslogo) .catalog-delivery-item-price {
        line-height: 1.3em;
    }
}

/* paysystem item */
.catalog-delivery-item-paysystem-title {
    position: relative;
    font-size: 0.8125rem;
}

.catalog-delivery-item-description + .catalog-delivery-item-paysystem-title {
    padding-top: 12px;
}

.catalog-delivery-paysystem-items {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 8px -3px -6px;
}

.catalog-delivery-paysystem-item {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    margin: 0 3px 15px;
}

.catalog-delivery-paysystem-item-logo {
    width: 60px;
    height: 33px;
    text-align: center;
    margin-right: 15px;
    flex-shrink: 0;
    font-size: 0;
}

.catalog-delivery-paysystem-item-logo:before {
    content: "";
    display: inline-block;
    height: 100%;
    vertical-align: middle;
}

.catalog-delivery-paysystem-item-logo img {
    max-width: 100%;
    max-height: 100%;
    vertical-align: middle;
    display: inline-block;
}

.catalog-delivery-paysystem-item-name {
    --border-radius: 6px;
    background-color: var(--darkerblack_bg_black);
    display: inline-block;
    padding: 0 8px 3px;
}

.catalog-delivery-paysystem-item-name span {
    font-size: 0.8125rem;
    line-height: 1.53846em;
}

.catalog-delivery-paysystem-item-price {
    text-align: left;
    color: #333;
    font-size: 1em;
    font-weight: bold;
}

/* error */
.catalog-delivery-error {
    padding: 0 32px 60px;
    display: none;
}

@media screen and (max-width: 600px) {
    .catalog-delivery-error {
        padding: 0 20px 60px;
    }
}

.catalog-delivery.haserror .catalog-delivery-error {
    display: flex;
    flex-direction: row;
}

.catalog-delivery-error-icon {
    padding-right: 19px;
}

.catalog-delivery-error-text {
    font-size: 1em;
    line-height: 1.4666em;
    margin: 12px 0 0 0;
}

.catalog-delivery-item-calculate-error {
    padding: 21px 0 0 0;
}

.catalog-delivery-item-calculate-error .alert {
    margin: 0;
    padding: 5px 11px 7px;
    font-size: 0.867em;
    line-height: 1.538em;
}

.catalog-delivery-item-calculate-error .alert-danger {
    background-color: #fdf4f6;
    color: #f00c3c;
}

@media (max-width: 767px) {
    .catalog-delivery-error {
        padding-bottom: 30px;
    }
}

/* popup */
.popup.delivery_frame {
    max-width: 800px;
    min-width: inherit;
    width: 100%;
}

.popup.delivery_frame .close {
    right: 4px;
    top: 5px;
}

.popup.delivery_frame {
    border-radius: var(--theme-outer-border-radius);
}

.popup .catalog-delivery-title {
    padding-top: 54px;
}

.popup .catalog-delivery-title h2 {
    margin: 0;
}

@media (max-width: 767px) {
    .popup.delivery_frame {
        max-width: inherit;
        width: calc(100% - 48px);
    }

    .catalog-delivery-title h2 {
        font-size: 1.333em;
    }
}

@media (max-width: 450px) {
    .popup.delivery_frame {
        transition: linear 0.15s;
    }
}

@media (max-width: 430px) {
    .popup.delivery_frame {
        max-width: inherit;
        width: 100% !important;
        left: 0 !important;
        transform: none !important;
        min-height: 100%;
        top: 0 !important;
        bottom: 0 !important;
        overflow-y: auto;
    }
}


.product-delivery-inline {

    .custom-price-big .price_value {
        font-size: 32px !important;
        font-weight: 700;
    }

    .product-delivery-inline {
        border-top: 1px solid #eee;
        margin-top: 5px;
    }

    .catalog-delivery-preview-item {
        display: flex;
        justify-content: space-between;
        margin-bottom: 8px;
    }
    background-color: white !important;
    border-radius: 10px !important;

    .catalog-delivery-title .catalog-detail__pseudo-link-text {
        color: #0AA360 !important;
    }

    .catalog-delivery-title .dotted {
        text-decoration-color: #0AA360 !important;
        text-decoration-line: none !important;
    }

    .catalog-delivery-title h2 {
        font-size: 12px !important;
        color: rgb(34 34 40 / 50%) !important;
        line-height: normal !important;
    }

    .form.popup .form-header {
        padding: 10px 20px !important;
    }

    .form.popup .form-body {
        padding: 0 20px !important;
    }

    .catalog-delivery-item-logo {
        width: 32px !important;
        height: 32px !important;
        margin-right: 10px !important;
    }

    .catalog-delivery-item-name {
        font-size: 12px !important;
    }

    .catalog-delivery-title-city-css > span:last-of-type {
        margin-left: 0 !important;
    }

    .catalog-delivery-item-head {
        cursor: default !important;
    }

    .catalog-delivery-item-info {
        margin-right: 0px;
    }

    .catalog-delivery__item-title::after {
        content: "";
        flex-grow: 1;
        display: inline-block;
        height: 11px;
        margin-left: 5px;
        margin-right: 5px;
        border-bottom: 1px dashed rgb(34 34 40 / 12%);
    }

    .catalog-delivery-item {
        border: 0;
        padding: 5px 0;
    }
}

.catalog-delivery-hidden .catalog-delivery-item {
    display: none;
}


@media (max-width: 660px) {
    .product-delivery-inline {
        .catalog-delivery-item.haslogo .catalog-delivery-flexline.flexline-1 .catalog-delivery-item-info {
            display: block !important;
        }
    }
}